package test

import (
	"fmt"
	"git.168cad.top/go/wechat-client-sdk/smapro"
	"log"
	"testing"
)

func TestCode2Session(t *testing.T) {
	r,err:=smapro.Code2Session("033DEr0w36huoZ2Ga22w3wXeTR1DEr0g","","")
	log.Println(err)
	log.Println(fmt.Sprintf("%+v\n", *r))
}

func TestNewAccessToken(t *testing.T) {
	r,err := smapro.NewAccessToken("","")
	log.Println(err)
	log.Println(fmt.Sprintf("%+v\n", *r))
}

func TestGetUserPhoneNumber(t *testing.T) {
	accessToken := "61_uqRWPGxxveyZnFoqCsddx9uY5w6uTZtHckodV8sS80OKtEBKJHM1udwD8ImlOa8UXnO_o3A4Qi3cwNtBvoC_fXSFnmXzJaD1cw-dMwaRGoz7XxTLhxvAeA_Bou4TWqPAmXnmmTknNwe9mU3_PVPiAGAZFZ"
	r,err := smapro.GetUserPhoneNumber("fa46d5412a1c7053de2f930a043fa92b4d253eb83ce4e23d0fe0304bef65ded1", accessToken)
	log.Println(err)
	log.Println(fmt.Sprintf("%+v\n", *r))
}